Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1568129 - vdo has a prepare_ioctl function that does nothing
Summary: vdo has a prepare_ioctl function that does nothing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kmod-kvdo
Version: 7.6
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Sweet Tea Dorminy
QA Contact: Jakub Krysl
URL:
Whiteboard:
Depends On:
Blocks: 1572494
TreeView+ depends on / blocked
 
Reported: 2018-04-16 19:27 UTC by Sweet Tea Dorminy
Modified: 2018-10-30 09:40 UTC (History)
4 users (show)

Fixed In Version: 6.1.1.79
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1572494 (view as bug list)
Environment:
Last Closed: 2018-10-30 09:39:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3094 0 None None None 2018-10-30 09:40:09 UTC

Description Sweet Tea Dorminy 2018-04-16 19:27:17 UTC
Description of problem:

VDO has a 'prepare_ioctl' function that does nothing but return EINVAL. This is duplicate with the behavior of device mapper of a target without such a function, and as this function might soon change we should take out ours. 

Version-Release number of selected component (if applicable):
6.1.132

Additional info:

Comment 4 Jakub Krysl 2018-07-03 12:16:30 UTC
Sanity testing passed on:
RHEL-7.6-20180626.0
kernel-3.10.0-915.el7
kmod-vdo-6.1.1.99-1.el7
vdo-6.1.1.99-2.el7

Comment 6 errata-xmlrpc 2018-10-30 09:39:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3094


Note You need to log in before you can comment on or make changes to this bug.